Subject: bug#5552: 23.1; desktop seems not quite to understand session management

From: Chong Yidong <[email-masked]>
Date: Wed, 10 Feb 2010 04:38:31 -0500

Jan Djärv <[email-masked]> writes:

> When you log out, the X connection is closed and emacs exits.
> However, it does not run kill-emacs-hooks.  Desktop.el depends on that
> hook to clean up after itself.
>
> Should we run kill-emacs instead of shut_down_emacs when exiting due
> to X connection lost?

There was a related thread about this a year ago, regarding how Emacs
responds to SIGTERM by calling shut_down_emacs rather than kill-emacs:

  http://lists.gnu.org/archive/html/emacs-devel/2009-01/msg00530.html

The thread did not have a clear conclusion, but I'm in favor of changing
things to run kill-emacs in such situations.  But I think this is best
done after the release, unless someone can come up with a very
convincing argument otherwise.